Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class TreeWalker

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.TreeWalker

public class TreeWalker
extends java.lang.Object

This class does a pre-order walk of the DOM tree, calling a ContentHandler interface as it goes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`protected DOMHelper` | `m_dh` DomHelper for this TreeWalker

Constructor Summary
`TreeWalker(org.xml.sax.ContentHandler contentHandler)` Constructor.
`TreeWalker(org.xml.sax.ContentHandler contentHandler, DOMHelper dh)` Constructor.
`TreeWalker(org.xml.sax.ContentHandler contentHandler, DOMHelper dh, java.lang.String systemId)` Constructor.

Method Summary
`protected void` | `endNode(org.w3c.dom.Node node)` End processing of given node
`org.xml.sax.ContentHandler` | `getContentHandler()` Get the ContentHandler used for the tree walk.
`void` | `setContentHandler(org.xml.sax.ContentHandler ch)` Get the ContentHandler used for the tree walk.
`protected void` | `startNode(org.w3c.dom.Node node)` Start processing given node
`void` | `traverse(org.w3c.dom.Node pos)` Perform a pre-order traversal non-recursive style.
`void` | `traverse(org.w3c.dom.Node pos, org.w3c.dom.Node top)` Perform a pre-order traversal non-recursive style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_dh

    protected DOMHelper m_dh

  DomHelper for this TreeWalker

Constructor Detail

### TreeWalker

    public TreeWalker(org.xml.sax.ContentHandler contentHandler,
                      DOMHelper dh,
                      java.lang.String systemId)

  Constructor.

  Parameters:
    `contentHandler` - The implemention of the
    `systemId` - System identifier for the document. contentHandler operation (toXMLString, digest, ...)

### TreeWalker

    public TreeWalker(org.xml.sax.ContentHandler contentHandler,
                      DOMHelper dh)

  Constructor.

  Parameters:
    `contentHandler` - The implemention of the contentHandler operation (toXMLString, digest, ...)

### TreeWalker

    public TreeWalker(org.xml.sax.ContentHandler contentHandler)

  Constructor.

  Parameters:
    `contentHandler` - The implemention of the contentHandler operation (toXMLString, digest, ...)

Method Detail

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Get the ContentHandler used for the tree walk.

  Returns:
    the ContentHandler used for the tree walk

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler ch)

  Get the ContentHandler used for the tree walk.

  Returns:
    the ContentHandler used for the tree walk

### traverse

    public void traverse(org.w3c.dom.Node pos)
                  throws org.xml.sax.SAXException

  Perform a pre-order traversal non-recursive style.

  Parameters:
    `pos` - Node in the tree where to start traversal
  Throws:
    TransformerException -

### traverse

    public void traverse(org.w3c.dom.Node pos,
                         org.w3c.dom.Node top)
                  throws org.xml.sax.SAXException

  Perform a pre-order traversal non-recursive style.

  Parameters:
    `pos` - Node in the tree where to start traversal
    `top` - Node in the tree where to end traversal
  Throws:
    TransformerException -

### startNode

    protected void startNode(org.w3c.dom.Node node)
                      throws org.xml.sax.SAXException

  Start processing given node

  Parameters:
    `node` - Node to process
  Throws:
    org.xml.sax.SAXException -

### endNode

    protected void endNode(org.w3c.dom.Node node)
                    throws org.xml.sax.SAXException

  End processing of given node

  Parameters:
    `node` - Node we just finished processing
  Throws:
    org.xml.sax.SAXException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference